Subscribe to webhook
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--data '
{
"url": "<string>",
"event_types": [
"<string>"
]
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/webhook-subscriptions"
payload = {
"url": "<string>",
"event_types": ["<string>"]
}
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>', event_types: ['<string>']})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_types": [
"<string>"
],
"object_type": "account",
"secret": "<string>",
"status": "enabled",
"url": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Webhook subscriptions
Subscribe to webhook
POST
/
finops
/
v1
/
webhook-subscriptions
Subscribe to webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Available options:
account, accounting_connection, approval, approval_request, approval_policy, approval_policy_process, batch_payment, comment, counterpart, counterpart_address, counterpart_bank_account, counterpart_contact_person, counterpart_partner_metadata, counterpart_tax_id, entity, entity_bank_account, entity_settings, entity_user, export, overdue_reminder, partner_settings, payable, payables_credit_note, payables_purchase_order, payable.line_item, payment, payment_intent, payment_link, payment_reminder, product, project, receivable, recurrence, role, tag, todo_task, workflow, workflow_pipeline, ocr_task, delivery_note, receipt, transaction Required string length:
1 - 2083Callbacks
POST{$request.body.url}webhook_notification
Body
application/json
Available options:
account, accounting_connection, approval, approval_request, approval_policy, approval_policy_process, batch_payment, comment, counterpart, counterpart_address, counterpart_bank_account, counterpart_contact_person, counterpart_partner_metadata, counterpart_tax_id, entity, entity_bank_account, entity_settings, entity_user, export, overdue_reminder, partner_settings, payable, payables_credit_note, payables_purchase_order, payable.line_item, payment, payment_intent, payment_link, payment_reminder, product, project, receivable, recurrence, role, tag, todo_task, workflow, workflow_pipeline, ocr_task, delivery_note, receipt, transaction The timestamp that was generated at the time of making the database transaction that has initially caused the event
Response
Successful Response
Response
Successful Response
Available options:
account, accounting_connection, approval, approval_request, approval_policy, approval_policy_process, batch_payment, comment, counterpart, counterpart_address, counterpart_bank_account, counterpart_contact_person, counterpart_partner_metadata, counterpart_tax_id, entity, entity_bank_account, entity_settings, entity_user, export, overdue_reminder, partner_settings, payable, payables_credit_note, payables_purchase_order, payable.line_item, payment, payment_intent, payment_link, payment_reminder, product, project, receivable, recurrence, role, tag, todo_task, workflow, workflow_pipeline, ocr_task, delivery_note, receipt, transaction Available options:
enabled, disabled Required string length:
1 - 2083Was this page helpful?